Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
openvrml::null_node_metatype Class Reference

A placeholder `node_metatype`. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::null_node_metatype:
[legend]

List of all members.

## Public Member Functions

| null_node_metatype (openvrml::browser &browser) throw ()
| Construct.
virtual | ~null_node_metatype () throw ()
| Destroy.

## Private Member Functions

virtual const boost::shared_ptr< node_type > | do_create_type (const std::string &id, const node_interface_set &interfaces) const throw ()
| Do not call.

## Detailed Description

A placeholder `node_metatype`.

The `null_node_metatype` is provided for convenience for the uncommon (but not inconceivable) situation where one needs something that acts like a `node`, yet isn't a full-fleged node with proper `node_metatype` and `node_type` implementations.

See also:
  openvrml::null_node_type

## Constructor & Destructor Documentation

openvrml::null_node_metatype::null_node_metatype | ( | openvrml::browser & | browser | ) | throw ()`[explicit]`

Construct.

Parameters:

  browser | a `browser`.

openvrml::null_node_metatype::~null_node_metatype | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const boost::shared_ptr< openvrml::node_type > openvrml::null_node_metatype::do_create_type | ( | const std::string & | id,
|  | const node_interface_set & | interfaces
| ) |  | const throw ()`[private, virtual]`

Do not call.

Warning:
  Correct code will not call this function.

Implements openvrml::node_metatype.